aboutsummaryrefslogtreecommitdiff
path: root/terminal
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-09-18 16:38:30 -0300
committerSilvio Rhatto <user@example.org>2014-09-18 16:38:30 -0300
commit9181c40eae371a758a68db47a79b124cf4141986 (patch)
treed1ade9808bf715a7b47e8a976a15e761b1ec1939 /terminal
downloadutils-x11-9181c40eae371a758a68db47a79b124cf4141986.tar.gz
utils-x11-9181c40eae371a758a68db47a79b124cf4141986.tar.bz2
Initial import
Diffstat (limited to 'terminal')
-rwxr-xr-xterminal38
1 files changed, 38 insertions, 0 deletions
diff --git a/terminal b/terminal
new file mode 100755
index 0000000..e76974a
--- /dev/null
+++ b/terminal
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Terminal emulator wrapper
+#
+
+source ~/.geometry || exit 1
+
+if [ -z "$TITLE" ]; then
+ if [ ! -z "$1" ]; then
+ TITLE="$1"
+ else
+ TITLE="terminal"
+ fi
+fi
+
+if [ "$TERM" == "rxvt" ]; then
+ if [ ! -z "$1" ]; then
+ rxvt-unicode -bg black +sb -fg white -fn $FONT -g $GEOMETRY -title $TITLE \
+ -e bash -rcfile $HOME/.terminal -c "$*"
+ else
+ rxvt-unicode -bg black +sb -fg white -fn $FONT -g $GEOMETRY -title $TITLE \
+ -e bash -rcfile $HOME/.terminal
+ fi
+elif [ "$TERM" == "Eterm" ]; then
+ if [ ! -z "$1" ]; then
+ Eterm --background-pixmap 0 --scrollbar 0 +sb -b black -f white -F $FONT --borderless no \
+ --buttonbar 0 -g $GEOMETRY -n$TITLE -e bash -rcfile $HOME/.terminal -c "$*"
+ else
+ Eterm --background-pixmap 0 --scrollbar 0 +sb -b black -f white -F $FONT --borderless no \
+ --buttonbar 0 -g $GEOMETRY -n$TITLE -e bash -rcfile $HOME/.terminal
+ fi
+elif [ "$TERM" == "xterm" ]; then
+ if [ ! -z "$1" ]; then
+ xterm -u8 -fn $FONT -geometry $GEOMETRY -title $TITLE -e bash -c "$*"
+ else
+ xterm -u8 -fn $FONT -geometry $GEOMETRY -title $TITLE -e bash
+ fi
+fi